### Constructor

# Gsk OutsetShadowNode new

#### Declaration [src]

    GskRenderNode*
    gsk_outset_shadow_node_new (
      const GskRoundedRect* outline,
      const GdkRGBA* color,
      float dx,
      float dy,
      float spread,
      float blur_radius
    )

#### Description [src]

Creates a `GskRenderNode` that will render an outset shadow around the box given by `outline`.

#### Parameters

`outline` | `GskRoundedRect`
| Outline of the region surrounded by shadow.
| The data is owned by the caller of the function.
`color` | `const GdkRGBA*`
| Color of the shadow.
| The data is owned by the caller of the function.
`dx` | `float`
| Horizontal offset of shadow.
`dy` | `float`
| Vertical offset of shadow.
`spread` | `float`
| How far the shadow spreads towards the inside.
`blur_radius` | `float`
| How much blur to apply to the shadow.

#### Return value

Returns: | `GskOutsetShadowNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.